## net.sf.jftp.gui.base.dir
Class MaterializedTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          net.sf.jftp.gui.base.dir.MaterializedTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

    public abstract class MaterializedTableModel

extends javax.swing.table.AbstractTableModel

Helperklasse f�r TableUtils.generate*Model()

See Also:
  Serialized Form

Field Summary
`protected javax.swing.JList` `list`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`MaterializedTableModel(javax.swing.JList list)` Speichert eine JList auf die sp�ter in einem TableModel zugegriffen werden kann.

Method Summary

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getColumnName, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.table.TableModel
`getColumnCount, getRowCount, getValueAt`

Field Detail

### list

    protected javax.swing.JList list

Constructor Detail

### MaterializedTableModel

    public MaterializedTableModel(javax.swing.JList list)

  Speichert eine JList auf die sp�ter in einem TableModel zugegriffen werden kann.

  Parameters:
    `list` - JList